PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package painbox
  Definition Classes
    serverobject
- Painbox
- PainboxControl
- PainboxDefinition

c

net.psforever.objects.serverobject.painbox

# PainboxControl

###
Companion object PainboxControl

#### class PainboxControl extends PoweredAmenityControl

Source
  PainboxControl.scala

Linear Supertypes
PoweredAmenityControl, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PainboxControl
2. PoweredAmenityControl
3. Actor
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PainboxControl(painbox: Painbox)

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
5.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
6.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  var commonBehavior: Receive
12.  implicit val context: ActorContext
    Definition Classes
      Actor
13.  var disabled: Boolean
14.  var domain: Shape
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def initialStartup(): Unit
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  def isPowered: Boolean
    Definition Classes
      PoweredAmenityControl
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  var nearestDoor: Option[Door]
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  var painboxTick: Cancellable
28.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
29.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
30.  final def powerOffCondition: Receive
    Definition Classes
      PoweredAmenityControl
31.  final def powerOnCondition: Receive
    Definition Classes
      PoweredAmenityControl
32.  def powerTurnOffCallback(): Unit
    Definition Classes
      PainboxControl → PoweredAmenityControl
33.  def powerTurnOnCallback(): Unit
    Definition Classes
      PainboxControl → PoweredAmenityControl
34.  def poweredStateLogic: Receive
    Definition Classes
      PainboxControl → PoweredAmenityControl
35.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
36.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
37.  final def receive: Receive
    Definition Classes
      PoweredAmenityControl → Actor
38.  implicit final val self: ActorRef
    Definition Classes
      Actor
39.  final def sender(): ActorRef
    Definition Classes
      Actor
40.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
41.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
42.  def toString(): String
    Definition Classes
      AnyRef → Any
43.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
44.  def unpoweredStateLogic: Receive
    Definition Classes
      PainboxControl → PoweredAmenityControl
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from PoweredAmenityControl

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped